+ Post New Thread
Page 51 of 656 FirstFirst ... 41 49 50 51 52 53 61 101 151 551 ... LastLast
Threads 1251 to 1275 of 16398

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 96,728
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 78,074
    18th Sep 2006 10:46 pm Go to last post
  1. Lisp to create layer gives error

    Hi, i want to make an 'create layer' lisp so i can switch layers by command. i don't want any errors and they don't show in the very basic version. (Defun C:HulplijnA () (command "-Layer"...

    Started by OMEGA-ThundeR‎, 22nd May 2017 03:38 pm
    • Replies: 3
    • Views: 700
    23rd May 2017 07:32 am Go to last post
  2. create a point in vertical distance from a line

    Hi, i am trying to convert hanhphuc lisp from an old post to create a point in vertical distance from a line like the photo. Can any one help me ? (defun c:test (/ os asin _line p1 p2 d2 l1 ad d...

    Started by prodromosm‎, 21st May 2017 02:03 pm
    • Replies: 4
    • Views: 1,129
    23rd May 2017 03:16 am Go to last post
  3. Working with Nil

    Hi everyone, I am using a LiSP found online as part of a larger LiSP I am building. The routine looks for not_found/unreferenced/orphaned/unloaded images and removes them. It works when images are...

    Started by Cylis0509‎, 22nd May 2017 04:23 pm
    • Replies: 3
    • Views: 947
    22nd May 2017 11:34 pm Go to last post
  4. Help - Select lines and overlaping in the same coordinate

    In the attached file, two lines are represented, apparently overlapping. In fact there is one out of the way between 0.0001. Someone will be able to achieve a routine that makes it possible to...

    Started by teknomatika‎, 19th May 2017 03:36 pm
    • Replies: 4
    • Views: 1,132
    22nd May 2017 11:46 am Go to last post
  5. how to make a list from a set of points

    Greetings everyone i have a set of points say: p1 = (x1 , y1 , z1) p2 = (x2 , y2 , z2) p3 = (x3 , y3 , z3) when i use (setq lst (cons p1 lst) )

    Started by handasa‎, 21st May 2017 06:52 am
    • Replies: 5
    • Views: 1,299
    21st May 2017 11:07 pm Go to last post
  6. [Civil 3D] Create TIN surface with points

    The Civil 3D can create a surface with AutoCAD points. The image belove is a way to create a surface. How to create a surface using Lisp. To select points, I want to use the (ssget) function.

    Started by Kowal‎, 20th May 2017 12:42 pm
    • Replies: 1
    • Views: 1,285
    21st May 2017 01:48 am Go to last post
  7. How to offset multiple polyline from one segment

    Greetings everyone ... iam looking for a way to solve this problem i have a lisp that conncect multiple blocks to one base block in the drawing ... it will draw polylines as the case called...

    Started by handasa‎, 19th May 2017 07:10 pm
    • Replies: 5
    • Views: 1,027
    21st May 2017 01:14 am Go to last post
  8. Autoselect nearest closed polyline that surrounds text entity

    Hi All, I'm after an Autolisp function that basically does the following: User selects a text Script finds nearest closed polyline that the text's insertion point lies inside I.e. Given a...

    Started by alm865‎, 2nd Aug 2016 08:01 am
    4 Pages
    1 2 3 ... 4
    • Replies: 32
    • Views: 8,515
    20th May 2017 06:55 pm Go to last post
  9. time convert

    Hello everybody, I want to convert time format and i don't know how. This function i use to obtain time when a file was modified: (defun time (Fil x / FilObj FilSys RetVal) (setq FilSys...

    Started by SELFCAD‎, 20th May 2017 01:52 pm
    • Replies: 2
    • Views: 533
    20th May 2017 05:44 pm Go to last post
  10. Exploding ONLY nested blocks

    Hi Tried to look for something like the topic says but only found topics that explodes everything. And I want to explode ONLY the blocks that are inside a block and then keeping the main block...

    Started by ChristopherM‎, 18th May 2017 05:01 pm
    • Replies: 3
    • Views: 1,451
    19th May 2017 08:37 pm Go to last post
  11. Sum Numbers in Mtext Fields to Mtext Field

    Hello everybody, This is my first post on CADTutor. I've been reading alot here even before I became a member, but it is time for me to join the community with a question since I cannot find the...

    Started by muurr‎, 3rd Mar 2011 03:51 pm
    2 Pages
    1 2
    • Replies: 12
    • Views: 17,434
    19th May 2017 05:27 pm Go to last post
  12. Autolisp to Add Classic GroupName

    i tried making a lisp to create classic groups (defun c:CG (/ ss q1) (while T (setq ss (ssget "_:S" '((0 . "LINE")))) (setq q1 (getString "\nEnter GROUP: ")) (COMMAND "Group" "create" q1 "" ss...

    Started by ktbjx‎, 18th May 2017 11:50 am
    • Replies: 3
    • Views: 877
    19th May 2017 04:14 pm Go to last post
  13. Needing help with a LISP file

    I work for a utility company and we developed a system to export data from a database that contains information (UTM locations and identifier tag numbers) about utility poles on our system, then we...

    Started by Cgoff‎, 26th Apr 2017 08:46 pm
    • Replies: 7
    • Views: 1,346
    19th May 2017 02:10 pm Go to last post
  14. Question cvport variable issue

    I am working on a drawing that only has two viewports, so the cvport should be 1 for the paperspace window, 2 for the first viewport, and 3 for the second viewport, but the last viewport is 4. When I...

    Started by MiGo‎, 30th Mar 2009 03:24 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 9,216
    19th May 2017 08:59 am Go to last post
  15. Validation of edit boxes

    Hello everyone, Given below is an adaptation of a lisp code of dialog by Lee Mac. I want to validate the edit boxes with the code supplied. However the values supplied after initialization doesn't...

    Started by aloy‎, 15th May 2017 03:16 am
    • Replies: 2
    • Views: 954
    19th May 2017 06:05 am Go to last post
  16. Join polyline

    Hello experts; I have to solve this Polyline Join issue drawing attached: red circles area to be joined as required single for solid hatch, This type of files getting from the Road design...

    Started by sivapathasunderam‎, 18th May 2017 03:12 pm
    • Replies: 4
    • Views: 761
    19th May 2017 05:34 am Go to last post
  17. Smile Classic group automatically add objects

    Hello, I try to add a newly created hatch of an existing Classic group with Lisp in the following order: There is a closed polyline. This belongs to a group. Now I create a hatch in this...

    Started by martinle‎, 19th May 2017 04:31 am
    • Replies: 0
    • Views: 425
    19th May 2017 04:31 am Go to last post
  18. Block Attribute to MLeader Routine Causing Fatal Error

    Hello, I have a lisp routine that reads a block attribute and uses it to create an MLeader. The read attribute string is processed 10 times to insert a carriage return at every double space (" ...

    Started by iamvadim‎, 3rd May 2017 10:06 pm
    • Replies: 7
    • Views: 1,123
    19th May 2017 01:37 am Go to last post
  19. Extend viewport polygon

    Might be shooting for the stars here but here goes. I need a lisp to extend the viewport polygon in the direction of its shape base on a keyed in distance, that remembers the last input distance....

    Started by tive29‎, 19th May 2017 01:33 am
    • Replies: 0
    • Views: 558
    19th May 2017 01:33 am Go to last post
  20. Sorting mixed order points on a polyline object

    Hi, Can anyone help me to write a lisp function to sort the points (assume the intersection points) on a polyline? With my code, I have a polyline object and a set of intersection points on...

    Started by nkeseci‎, 28th Dec 2012 04:22 pm
    autolisp, cumulative, intersection, polyline, vertex
    • Replies: 6
    • Views: 6,188
    18th May 2017 05:02 pm Go to last post
  21. Unhappy Dynamic block replacement fails but static block is working

    Dear All, I have a problem replacing blocks (titleblock) which is sometimes a dynamic block. When replacing blocks with a new one i get a lselsetp nil error when there is a dynamic block...

    Started by Marcel van Ellen‎, 18th May 2017 07:31 am
    2 Pages
    1 2
    • Replies: 10
    • Views: 1,820
    18th May 2017 02:00 pm Go to last post
  22. Help with DCL and Lisp with slides

    Hi. I am trying to make a lisp to work through dcl with slides I have a lisp file with 4 different lisp codes and i have one dcl file with 4 slides.I want when i click the slide the routine...

    Started by prodromosm‎, 16th May 2017 04:21 pm
    2 Pages
    1 2
    • Replies: 13
    • Views: 2,009
    18th May 2017 08:11 am Go to last post
  23. longitudinal profile from 3D polyline

    I have a 3dpoly from previous my post (Thank Marko_ribar) I like this 3D polyline have a longitudinal profiles

    Started by reza‎, 4th May 2017 02:12 pm
    2 Pages
    1 2
    • Replies: 12
    • Views: 5,466
    17th May 2017 05:39 pm Go to last post
  24. Delete all line in current selection

    Hi, I am revising a bunch of drawing and trying to organize it as much as possible ( it was a mess ), so i begin with delete the list with all line and replace it with a block for a better management...

    Started by ring2129‎, 17th May 2017 11:09 am
    • Replies: 1
    • Views: 450
    17th May 2017 01:44 pm Go to last post
  25. Lisp for Chainages

    Hello everyone I have several Chainages of the format 2000, 1550,.... I want to convert them to 2+000, 1+550..... Anyone have a lisp that can do this...... Or the easiest way to do that. I...

    Started by Alcapone001‎, 12th May 2017 10:18 am
    • Replies: 9
    • Views: 4,238
    17th May 2017 05:59 am Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts